CrossOver Support - Community Forums

Important Information These are community forums and not official technical support. If you need official support: Contact Us

CrossOver Mac
Discussion about CrossOver Mac

The following comments are owned by whoever posted them. We are not responsible for them in any way.

Back to Threads Reply to Thread

Custom DXVK and MoltenVK versions are not supported for CrossOver Mac

Hi all,

This is something that I have touched on in other forum threads, but it really merits a dedicated post.

I’m seeing more discussion in various venues detailing instructions for how to use custom DXVK and MoltenVK versions with CrossOver Mac. To be perfectly clear, the versions of DXVK and MoltenVK that are shipped with CrossOver are the only supported versions. Our support team cannot offer assistance through the ticket system or unofficial support channels (including forums and Discord) if you have changed either one of these.

There are a few reasons for this. First, we do not test unofficial DXVK or MoltenVK versions so the expected behavior is unknown. Second, this type of tinkering is prone to user error. Third, changing MoltenVK versions is especially tricky since it is a universal change and it breaks the code-signing of our product. For all of these reasons, we consider changing either DXVK or MoltenVK versions of the shipped CrossOver version to be hacks of our product.

If you did change your DXVK version or MoltenVK version and end up deciding you want to reach out to our support team for assistance, we are happy to work with you if you revert the changes. For DXVK, that means deleting the bottle with the custom DXVK version, then testing your application in a new bottle and reporting only the behavior seen there. For MoltenVK, that means doing a complete uninstall and reinstall of CrossOver (https://www.codeweavers.com/support/wiki/mac/mactutorial/uninstall) and again only reporting the behavior seen after this is done.

Lastly, if you installed a custom DXVK or MoltenVK version and you want to share your experience with others, please also include a disclaimer that the custom versions aren’t supported. If you know you’ll never need help from support, that’s great, but we can’t assume that your audience will feel the same way so they’ll appreciate the disclaimer.

Thanks,
Meredith

5

Please Note: This Forum is for non-application specific questions relating to installation/configuration of CrossOver. All application-specific posts to this Forum will be moved to their appropriate Compatibility Center Forum.

CrossOver Forums: the place to discuss running Windows applications on Mac and Linux

CodeWeavers or its third-party tools process personal data (e.g. browsing data or IP addresses) and use cookies or other identifiers, which are necessary for its functioning and required to achieve the purposes illustrated in our Privacy Policy. You accept the use of cookies or other identifiers by clicking the Acknowledge button.
Please Wait...
eyJjb3VudHJ5IjoiVVMiLCJsYW5nIjpudWxsLCJjYXJ0IjowLCJ0enMiOi01LCJjZG4iOiJodHRwczpcL1wvbWVkaWEuY29kZXdlYXZlcnMuY29tXC9wdWJcL2Nyb3Nzb3Zlclwvd2Vic2l0ZSIsImNkbnRzIjoxNjU2NDMwODcxLCJjc3JmX3Rva2VuIjoiWGQyR2Nock1LbUxyTThNaCIsImdkcHIiOjB9